Get the Live Agent Account - Cognigy Documentation
Get the Live Agent Account
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Request
GET /v2.0/organisations/liveagentaccount
Example Usage
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/organisations/liveagentaccount \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/organisations/liveagentaccount"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/organisations/liveagentaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/organisations/liveagentaccount",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HTTP Status Codes
| Code | Description |
|---|---|
| 200 | Returns the Live Agent Account for the organisation. |
| 400 | Bad Request - Validation failed. Missing payload. |
| 401 | Unauthorized - Invalid API Key. |
| 402 | Payment Required - Missing payload. |
| 403 | Forbidden - Access denied. |
| 404 | Not Found - Resource not found. |
| 405 | Method Not Allowed - Invalid method. |
| 409 | Conflict - Resource conflict. |
| 413 | Payload Too Large - Too large request. |
| 500 | Internal Server Error - Server error. |
| 501 | Not Implemented - Method not supported. |
| 502 | Bad Gateway - Invalid response. |
| 503 | Service Unavailable - Service down. |
| 504 | Gateway Timeout - Request timeout. |
Authorizations
X-API-Keystring
header
required
Supply the API Key in the HTTP-Header.
Headers
Accept: enum<string>
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Response
Returns: Live Agent Account for the organisation.